openapi: 3.1.2
info:
    version: "2020-06-28"
    title: Syntage API
    contact:
        name: Email
        email: support@syntage.com
    description: |
        # Introduction

        The Syntage API is organized around [REST](https://en.wikipedia.org/wiki/Representational_State_Transfer).
        Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns [JSON-LD](https://json-ld.org) responses, and uses standard HTTP response codes, authentication, and verbs.

        # Environments

        | Name | Description | Base URL |
        |------|-------------|----------|
        | **Sandbox** | The Sandbox environment is dedicated to development and testing. In this environment, no real taxpayer credentials are required and all interaction with the SAT is simulated generating life-like data, allowing you to pull test data from all endpoints. | https://api.sandbox.syntage.com |
        | **Production** | The Production environment is dedicated to live applications with real connections to the SAT. In this environment, real taxpayer credentials are required, and you will pull real fiscal data directly from the SAT. | https://api.syntage.com |

        Each environment has a different API Key for [authentication](#section/Authentication).

        # Request IDs

        Each API request has an associated request identifier.
        You can find this value in the response headers, under `X-Request-ID`:

        ```curl
        curl -i https://api.syntage.com
        HTTP/1.1 200 OK
        Date: Sun, 29 Nov 2020 19:21:21 GMT
        X-Request-ID: Root=1-6532dcae-169bf139354cd48959f55c55
        ```

        If you need to contact us about a specific request, providing the request identifier will ensure the fastest possible resolution.

        # Rate Limiting

        Our API employs a number of safeguards against bursts of incoming traffic to help maximize its stability.
        The returned HTTP headers of any API request show your current rate limit status:

        ```curl
        curl -i https://api.syntage.com
        HTTP/1.1 200 OK
        Date: Sun, 29 Nov 2020 19:21:21 GMT
        X-RateLimit-Limit: 60
        X-RateLimit-Remaining: 56
        X-RateLimit-Reset: 1606678044
        ```

        | Header Name           | Description |
        |-----------------------|------------------------------------------------------------------------------|
        | X-RateLimit-Limit     | The maximum number of requests you're permitted to make.                     |
        | X-RateLimit-Remaining | The number of requests remaining in the current rate limit window.           |
        | X-RateLimit-Reset     | The time at which the current rate limit window resets in UTC epoch seconds. |

        If you exceed the rate limit, a [429 Too Many Requests](https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/429) response is returned:

        ```http
        HTTP/1.1 429 Too Many Requests
        Date: Sun, 29 Nov 2020 19:21:21 GMT
        X-RateLimit-Limit: 60
        X-RateLimit-Remaining: 0
        X-RateLimit-Reset: 1606678044
        ```

        We may reduce limits to prevent abuse, or increase limits to enable high-traffic operations.
        You can check your current limits in the [dashboard](https://app.syntage.com/settings/usage).
        To request an increased rate limit, please [contact support](https://support.syntage.com/).
        # Pagination
        When issuing a GET request on a collection containing more than 1 page (e.g. [/events](#operation/ListEvent)),  a collection is returned. Links to the first, the last, previous and the next page in the collection are displayed as well as the  number of total items in the collection.
        All endpoints that support this operation have a query parameter defined by:
          - `itemsPerPage` The number of items per page (default: 20, max: 1000)
          - `page` The collection page number

        ```bash
          "hydra:totalItems": 1,
          "hydra:view": {
            "@id": "/events?page=1",
            "@type": "hydra:PartialCollectionView",
            "hydra:first": "/events?page=1",
            "hydra:next": "/events?page=2",
            "hydra:last": "/events?page=3"
          },
        ```
        ## Cursor Pagination
        Cursor pagination is a technique used for navigating through large datasets efficiently. It allows you to retrieve a specific subset of results from a collection by using a cursor value that represents the position within the collection. The cursor serves as a reference point for fetching the next or previous set of results.
        ### Benefits of Cursor Pagination:
        1. **Efficient Navigation:** Cursor pagination eliminates the need to fetch the entire dataset at once, making it more scalable and faster. You can retrieve data in smaller, manageable chunks based on the cursor values.
        2. **Consistent Results:** Each page of results in cursor pagination is stable and doesn't change even if new items are added or removed from the collection. This ensures that you get consistent and reliable results.
        3. **Flexibility:** Cursors can be used to navigate forwards and backwards in the collection without impacting performance.

        ### How to Use Cursor Pagination:
        To use cursor pagination with our API, follow these instructions:
        1. Make a request to retrieve the initial page of results. The response will be a JSON-LD document that includes a `hydra:next` attribute with the URI for the next page. The URI already includes the cursor attribute.
        2. To retrieve the next page of results, make a GET request to the URI provided in the `hydra:next` attribute. This URI will automatically include the cursor value for the next page.
        3. If you want to navigate to the previous page, you can use the `hydra:previous` attribute in the JSON-LD response. It will contain the URI for the previous page, including the cursor value.
        4. You can continue making requests to the `hydra:next` and `hydra:previous` URIs to navigate through the paginated results, based on your requirements.
        Make sure to update your request headers to include the necessary headers for JSON-LD content negotiation, such as `Accept: application/ld+json` or `Content-Type: application/ld+json`.
        By following these instructions, you can effectively navigate through the paginated results using the cursor values provided in the `hydra:next` and `hydra:previous` attributes, without the need to manually include the cursor in your requests. This simplifies the pagination process and enhances the usability of our API.

        ### Considerations About Cursor Pagination:

          - By default, the API uses offset-based pagination (except for a few endpoints that we will list below). If you want to switch to cursor pagination, you need to include an additional header in your request. Set the `X-Pagination-Style` header with the value `"cursor"` to enable cursor pagination. If not specified, the API will assume offset-based pagination.

          - After enabling cursor pagination, the API response will no longer include the `hydra:totalItems` field by default. Retrieving the total count can be resource intensive and impact response times, especially for large datasets. However, if you need the `hydra:totalItems` information, you can include an additional header in your request. Set the `X-Pagination-Enable-Partial` header with the value `0` to indicate that the response should include extra information, including the `hydra:totalItems` count. Please be aware that enabling this feature may impact API response times, as the backend needs to perform a count operation on the dataset.

          - With `X-Pagination-Enable-Partial: 0`, `hydra:totalItems` counts the items that match the request and its cursor: on a page requested through `hydra:next`, only the items after the cursor. Request the total on the first page, without a cursor.

          - `GET /entities/{entityId}/invoices` and `GET /entities/{entityId}/invoices/line-items` also accept the `X-Pagination-Bounded-Count` header with the value `1`, together with `X-Pagination-Enable-Partial: 0`. The count is then limited to 100,000 items: within the limit, the response includes the exact `hydra:totalItems`; above it, the response omits `hydra:totalItems`, which means the collection has more than 100,000 items. Narrow the request with filters, such as an issue date range, to count them.

        If you require the `hydra:totalItems` count, please consider the potential impact on API response times.
        ### Example
        ```bash
          curl -i 'https://api.syntage.com/entities/{entityId}/invoices?itemsPerPage=10' \
            --header 'Accept: application/ld+json' \
            --header 'X-Api-Key: {apiKey}' \
            --header 'X-Pagination-Style: cursor' \
            --header 'X-Pagination-Enable-Partial: 0'
        ```
        **Note:** We only support cursor pagination for the following endpoints:
         - `GET /entities/{entityId}/invoices`
         - `GET /entities/{entityId}/invoices/line-items`
         - `GET /entities/{entityId}/invoices/{invoiceId}/line-items`
         - `GET /invoices/{invoiceId}/line-items`
         - `GET /entities/{entityId}/invoices/payments`

        Feel free to reach out if you have any further questions or need additional assistance!

        # Property Filtering
        The property filter adds the possibility to select the properties for GET operations.
        Syntax: `?properties[]=<property>&properties[<relation>][]=<property>`
        You can add as many properties as you need. The following example shows how to select `paymentType` and  `issuer.rfc` when fetching a list of invoices.
        ```curl
          curl -i https://api.syntage.com/entities/{entityId}/invoices?properties[]=paymentType&properties[issuer]=rfc
        ```
        # Filtering
        **Warning:** Collection endpoints only apply the filter query parameters documented for that endpoint. If you send an unsupported or misspelled filter query parameter, the API ignores it and processes the request as if that parameter was not sent.

        # API Versioning Guide
        Guidance on changes between versions.
        ## Version: 2020-01-01 to 2020-06-28
        ### **Invoice**
        _**Affected Endpoints:** `GET /invoices/{id}` and `GET /entities/{entityId}/invoices`_
        - The `amount` property has been removed from API responses. Use the `total` property instead.
        - Retrieval by invoice's `uuid` at `/invoices/{id}` is now removed. To retrieve an invoice, use the invoice's `id` at the specified endpoint. To find an invoice using its `uuid`, filter the invoice collection at `/entities/{entityId}/invoices?uuid[]={uuid}`.
        - Previously, the `@iri` property for an invoice pointed to the resource using `uuid`, like `/invoices/{uuid}`. Now, it points using its `id`, like `/invoices/{id}`.

        ### **Entity (Formerly Link)**
        _**Affected Endpoint:** `GET /entities`_
        - Filtering entities by `status` is removed. Use `credential.status` instead. For example, utilize `GET /entities?credential.status[]=active` instead of `GET /entities?status[]=active`.

        ### **Tax Return**
        _**Affected Endpoints:** `GET /tax-returns/{id}` and `GET /entities/{entityId}/tax-returns`_
        - Retrieval by tax return's `operationNumber` at `/tax-returns/{id}` is removed. To retrieve a tax return, use the tax return's `id` at the mentioned endpoint. To find a tax return using its `operationNumber`, filter the collection at `/entities/{entityId}/tax-returns?operationNumber[]={operationNumber}`.
        - Previously, the `@iri` property for a tax return pointed to the resource using `operationNumber`, like `/tax-returns/{operationNumber}`. Now, it directs to its `id`, like `/tax-returns/{id}`.

        ### **Event**
        _**Affected Endpoints:** `GET /events` and `GET /events/{id}`_
        - For events associated to an `tax-return`, the `@iri` property now directs to `/tax-returns/{id}` instead of the previous `/tax-returns/{operationNumber}`.
        - For events associated to an `invoice`, the `@iri` property now directs to `/invoices/{id}` instead of the previous `/invoices/{uuid}`.

        ### **Extraction**
        _**Affected Endpoints:** `GET /extractions` and `GET /extractions/{id}`_
        - The `periodFrom` property has been removed. Use `options.period.from` instead.
        - The `periodTo` property has been removed. Use `options.period.to` instead.

        ### **File**
        _**Affected Endpoint:** `GET /file/{id}`_
        - For files associated to an `tax-return`, the `@iri` property now directs to `/tax-returns/{id}`, instead of the previous `/tax-returns/{operationNumber}`.
        - For files associated to an `invoice`, the `@iri` property now directs to `/invoices/{id}`, instead of the previous `/invoices/{uuid}`.

        ### Trying Out This Version
        If you want to test this version, you can do so by making any request with the `Accept-Version` header pointing to the latest version:
        ```curl
          curl -i 'https://api.syntage.com/entities/{entityId}/invoices' \
            --header 'Accept-Version: 2020-06-28' \
            --header 'X-Api-Key: {apiKey}'
        ```
tags:
    - name: Events
      description: |
          Events record meaningful changes to resources in your organization.

          When something changes, Syntage creates an Event resource. For example, submitting an entity's SAT credential can create credential and entity events, and a completed extraction can create an `extraction.updated` event.

          Many requests can create more than one event. For example, submitting valid SAT credentials for an entity can create `credential.created`, `credential.updated`, and `link.created` events.

          Events occur when the state of another resource changes. The state of that resource at the time of the change is embedded in the event's `data` field. For example, a `credential.updated` event contains a Credential, and an `invoice.updated` event contains an Invoice.

          Use the Events endpoints to retrieve recent events directly. Use [webhooks](/api-reference/webhooks/overview) when you want Syntage to deliver events to your server automatically.

          Access to events is only guaranteed for 7 days.

          Entity lifecycle events still use the `link.*` event type names for backwards compatibility.

          The suffix describes the kind of change:

          | Suffix | Meaning |
          | --- | --- |
          | `.created` | A new resource was created. |
          | `.updated` | An existing resource changed. |
          | `.deleted` | A resource was deleted or is no longer available. |

          | Resource | Event types |
          | --- | --- |
          | Credentials | `credential.created`, `credential.updated`, `credential.deleted` |
          | Entities | `link.created`, `link.updated`, `link.deleted` |
          | Files | `file.created` |
          | Extractions | `extraction.created`, `extraction.updated` |
          | Exports | `export.created`, `export.updated` |
          | Invoices | `invoice.created`, `invoice.updated`, `invoice.deleted` |
          | Invoice payments | `invoice_payment.created`, `invoice_payment.updated` |
          | Invoice line items | `invoice_line_item.created`, `invoice_line_item.updated` |
          | Tax returns | `tax_return.created`, `tax_return.updated`, `tax_return.deleted` |
          | Tax status | `tax_status.created`, `tax_status.updated`, `tax_status.deleted` |
          | Tax compliance checks | `tax_compliance_check.created`, `tax_compliance_check.updated`, `tax_compliance_check.deleted` |
          | Tax retentions | `tax_retention.created`, `tax_retention.updated`, `tax_retention.deleted` |
          | Electronic accounting records | `electronic_accounting_record.created`, `electronic_accounting_record.updated` |
          | RPC entidades | `rpc_entidades.created`, `rpc_entidades.updated` |
          | RPC socios | `rpc_socios.created`, `rpc_socios.updated` |
          | RPC actos | `rpc_acto.created`, `rpc_acto.updated` |
          | Shareholder relations | `shareholder_relation.created`, `shareholder_relation.updated` |
          | Shareholder relation sources | `shareholder_relation_source.created` |
          | RUG garantias | `rug_garantia.created`, `rug_garantia.updated` |
          | Buró de Crédito reports | `buro_de_credito_report.created`, `buro_de_credito_report.updated` |
          | Background checks | `background_check.created` |
          | SAT certificates | `sat_certificate.created`, `sat_certificate.updated` |
          | Company verification reports | `company_verification_report.created`, `company_verification_report.updated` |
    - name: Exports
      description: |
          Export invoices data in csv or xlsx format. Once you requested an export you will receive an email with a link to download the generated file
    - name: Files
      description: |
          Files associated to resources
    - name: DS MX SAT Credentials
    - name: DS MX SAT Certificates
    - name: Entities
      description: |
          An Entity is a resource that represents a person or company. Entities can be added via Add Entity, or automatically when a credential is validated (when the status becomes "valid"). This resource controls your access to data and allows you to create new extractions. When an Entity is deleted, its data is deleted as well. Its events stay available through the Events endpoints for the same 7 days as any other event.
    - name: Extractions
      description: |
          Extractions are tasks that retrieve data for an entity from a datasource. They are used to collect invoices, tax returns, tax status, tax compliance checks, RPC records, RUG guarantees, Buró de Crédito reports, BIL reports, and other datasource-backed records.

          An extraction runs asynchronously. Creating one starts or queues the work, and the returned Extraction resource tracks its status, options, timing, errors, and the number of resources created or updated.

          ## How Extractions Work

          1. Create or retrieve the entity you want to extract data for.
          2. Create an extraction with the entity IRI, extractor name, and extractor options.
          3. Store the returned extraction ID.
          4. Retrieve the extraction until its `status` is `finished` or `failed`.
          5. Read the extracted data from the related resource endpoints, such as invoices or tax returns.

          If the same extraction is already pending or running for the same entity, extractor, and options, Syntage returns a duplicate extraction response instead of starting the same work again.

          ## Options

          Options containing a period (`.`) in the name like `period.from` are a way to denote object paths. For example, `period.from` should actually be sent as:

          ```json
          {
              "options": {
                "period": {
                  "from": "2020-01-01",
                  "to": "2020-12-31"
                }
              }
          }
          ```

          Extractor names and options are specific to the data you are extracting. For extraction-backed resources, use the resource overview page for the extractor name, required credentials, supported options, and the endpoint where the extracted records can be read.

          # Extraction status

          | Status | Description |
          | ------ | ----------- |
          | pending | The initial extraction status. The extraction is enqueued and waiting to be processed. |
          | waiting | The extraction does not meet the requirements to begin. |
          | running | The extraction process started and is currently running. The running time varies depending on the extractor type and the entity's transactional volume. You may find partial data available in our API endpoints during this time. |
          | finished | The extraction finished successfully. All data is available to be retrieved from our API endpoints. |
          | failed | The extraction couldn't start or failed during the process. Our internal retry policies weren't able to finish the extraction successfully. We may have partial data available in our API endpoints, but new extractions should be created to ensure all the entity's data is available. You can check the [extraction error code](#section/Extraction-error-codes) to understand why it failed and determine whether it can be retried or not. |
          | stopping | The extraction was requested to be stopped by the user. It is in the process of being stopped. |
          | stopped | The extraction was stopped by the user after it started running. This extraction is included in billing. |
          | cancelled | The extraction was stopped by the user before it started running. This extraction is not included in billing. |
          # Extraction error codes

          | Code | Description | Retryable |
          | ---- | ----------- | --------- |
          | unrecoverable | The extraction failed in a way that retrying won't fix. Contact support for help with the entity. Older extractions can also have this code when the extraction process failed many times and reached the maximum number of retries. | No |
          | sat_unavailable | We detected that SAT itself is down or unresponsive. | Yes |
          | internal_error | We detected an internal error in our own infrastructure. | Yes |
          | undefined | We couldn't determine the error cause and our internal team will investigate it. | Yes |

          The following codes are no longer assigned to new extractions, but they can still appear on older extractions:

          | Code | Description | Retryable |
          | ---- | ----------- | --------- |
          | invalid_credentials | The SAT [Credential](#tag/Credentials) was no longer valid. | After updating the credential |
          | login_failed | We couldn't log in with the SAT credential. | Yes |
          | datasource_disabled | The Buró de Crédito integration was disabled for the entity type. | No |

          An invalid credential doesn't fail a new extraction. The extraction stays `waiting` until the credential is valid again, and then it resumes automatically. Failed extractions don't resume, including older ones with `invalid_credentials`: update the credential, and then create a new extraction.

          Before retrying a failed extraction manually, check [Syntage Status](https://status.syntage.com/) for an incident affecting the relevant datasource or service, and follow its published instructions. See [Extractions](/resources/core/extractions#retrying-failed-extractions) for details.
    - name: DS MX SAT Invoices
      description: |
          Invoices represent CFDI documents issued or received by an entity. Invoice records include SAT identifiers, issuer and receiver data, monetary totals, payment status, cancellation status, invoice relationships, file availability, and tags.

          Use the entity invoice list when you need all invoices extracted for one entity. Retrieve an invoice by ID when you need the full invoice resource, including tags and related invoice metadata. Use the CFDI endpoint when you need the XML or PDF content for a specific invoice.

          ### Blacklist status

          The field `issuer.blacklistStatus` or `receiver.blacklistStatus` is set while the invoice issuer or receiver
          RFC appears in a current [SAT 69-B publication source](https://www.sat.gob.mx/minisitio/DatosAbiertos/contribuyentes_publicados.html).
          It is `null` when the RFC is absent from all current sources, even if the RFC appeared in an earlier publication:

          | Status      | Description |
          |-------------|-----------------------------------------------------------------------------------------------------------|
          | presumed    | SAT has identified possible irregularities and started an investigation |
          | dismissed   | SAT dismissed the investigation after reviewing evidence |
          | definitive  | SAT determined that the RFC has confirmed irregularities |
          | favorable   | SAT reversed a definitive status after reviewing additional evidence |
    - name: DS MX SAT Invoice Line Items
    - name: DS MX SAT Invoice Relations
      description: |
          Invoice relations represent CFDI relationships between invoices, such as substitutions, credit notes, or other SAT-defined relation types. Each relation includes the source invoice, related invoice when Syntage has it, related invoice UUID, and the SAT relation type code.
    - name: DS MX SAT Tax Retentions
    - name: DS MX SAT Credit Notes
    - name: DS MX RPC Entidades
      description: |
          RPC entidades are company records extracted from the Registro Publico de Comercio. They group registration profile data, related registry acts, and shareholder records found for an entity.
    - name: DS MX RPC Actos
      description: |
          RPC actos are commercial registry acts associated with an RPC entidade. They can include extracted act data and file references for registry documents.
    - name: DS MX RPC Socios
      description: |
          RPC socios are shareholder or partner records found in RPC filings.
    - name: Scheduler Rules
    - name: Schedulers
    - name: DS MX SAT Invoice Batch Payments
      description: |
          Batch payments are derived from payment receipt CFDIs, also known as type `P` invoices. A batch payment groups one or more invoice payments into the payment transaction reported by SAT.

          Use batch payments when you need payment-method, currency, bank, operation-number, or transaction-level information. Use invoice payments when you need the amount applied to a specific deferred invoice.
    - name: DS MX SAT Invoice Payments
      description: |
          Invoice payments are derived from payment receipt CFDIs, also known as type `P` invoices. A payment receipt records payment activity for a previously issued deferred invoice.

          Each payment belongs to a batch payment and the invoice it was applied to. Syntage updates the related invoice's `paidAmount`, `dueAmount`, and `fullyPaidAt` fields based on the received payments.
    - name: DS MX SAT Electronic Accounting
    - name: DS MX SAT Tax Returns
    - name: DS MX SAT Tax Compliance Checks
      description: |
          A tax compliance check maps the content of Opinion de Cumplimiento de Obligaciones Fiscales, an official SAT document that states whether an RFC is complying with its tax obligations. Each tax compliance check is a snapshot of the compliance result at a specific check date.

          | Result | Meaning |
          |---|---|
          | `positive` | The RFC is complying with its tax obligations |
          | `negative` | SAT reported one or more compliance issues |
          | `no_obligations` | SAT reported no active tax obligations |
          | `activity_suspended` | SAT reported suspended business activity |
    - name: DS MX SAT Tax Status
    - name: Cash Flow Insight
    - name: Balance Sheet Insight
    - name: Income Statement Insight
    - name: Invoicing Concentration Insight
    - name: Customer Concentration Insight
    - name: Vendor Concentration Insight
    - name: Employees Insight
    - name: Expenditures Insight
    - name: Financial Institutions Insight
    - name: Financial Ratios Insight
    - name: Government Customers Insight
    - name: Blacklisted Counterparties Insight
    - name: Risks Insight
    - name: Sales Revenue Insight
    - name: Summary Insight
    - name: Trial Balance Insight
    - name: Shareholders Insight
    - name: RPC Shareholders Insight
    - name: Customer Network Insight
    - name: Vendor Network Insight
    - name: Invoicing Annual Comparison Insight
    - name: Scores Insight
    - name: Insight Exports
      description: |
          Insight exports return supported entity insights as CSV or XLSX files.
    - name: Reports
      description: |
          Reports group entity insights into a configurable layout. A report is rendered in the dashboard's Reports section and can be downloaded as a PDF document with the [Exports API](/api-reference/exports/export-data).

          Built-in reports are created and kept up to date by Syntage and cannot be modified or deleted. Custom reports are personal by default; organizational reports are shared with every user in the organization.
    - name: Webhook Endpoints
      description: |
          Webhook endpoints tell Syntage where to deliver events for your organization. Each endpoint includes the HTTPS delivery URL, subscribed event types, enabled state, payload content type, and signing secret.
    - name: Webhook Requests
      description: |
          Webhook requests are delivery attempts from Syntage to a webhook endpoint. Use them to monitor delivery status, inspect failed deliveries, and connect an event to the endpoint that received it.
    - name: DS Syntage Score
      description: |
          Syntage Score calculates an internal score for a company entity from SAT annual tax return data and tax compliance data.
    - name: DS MX RUG Operaciones
      description: |
          RUG operations are registry acts associated with a movable collateral guarantee. They include operation metadata, guarantee numbers, grantors, parsed boleta data, and file references when available.
    - name: DS MX RUG Garantias
      description: |
          RUG guarantees are movable collateral guarantees registered in Mexico's Registro Unico de Garantias Mobiliarias.
    - name: DS MX Buró de Crédito Reports
      description: |
          Buró de Crédito reports contain credit bureau data generated for an entity by the `buro_de_credito_report` extractor. Reports include the selected product type, provider report ID, parsed provider response, score when available, and generated files such as the report PDF.
    - name: DS MX Buró de Crédito Authorizations
      description: |
          Buró de Crédito authorizations store the consent, RFC, address, and identity data required before Syntage can request Buró de Crédito reports for an entity.
    - name: Background Checks
      description: |
          Background checks provide comprehensive verification and screening data for entities. These checks gather information from various databases and sources to assess risk, verify identity, and provide insights into an entity's background across multiple categories.

          ### Check Categories
          Background checks are organized into specific categories:
          - **personal_identity**: Identity verification and personal information
          - **criminal_record**: Criminal background and legal history
          - **legal_background**: Legal proceedings and court records
          - **business_background**: Business registration and commercial activity
          - **professional_background**: Professional licenses and certifications
          - **credit_history**: Credit and financial history
          - **taxes_and_finances**: Tax compliance and financial records
          - **affiliations_and_insurances**: Professional affiliations and insurance records
          - **driving_licenses**: Driving licenses and vehicle permits
          - **vehicle_information**: Vehicle ownership and registration
          - **traffic_fines**: Traffic violations and fines
          - **alert_in_media**: Media mentions and public records
          - **behavior**: Behavioral patterns and risk indicators
          - **international_background**: International records and verification
          - **politically_exposed_person**: PEP (Politically Exposed Person) screening
          - **document_validation**: Document authenticity verification

          ### Check Status
          - **pending**: Background check is being processed
          - **completed**: Background check has been completed successfully
          - **error**: Background check encountered an error during processing

          ### Supported Countries
          - **MX**: Mexico-specific background checks
          - **ALL**: International background checks across multiple countries
    - name: Company Verification Reports
      description: |
          Company Verification Reports provide verification of company details and supporting files extracted from trusted sources. Use these endpoints to retrieve reports for a specific entity, list all reports, or download the generated PDF report.
    - name: Shareholders
      description: |
          Shareholders represent individuals or entities that own shares in a company. This resource provides information about shareholders, their relationships with entities, and the sources of shareholder information.

          ### Shareholder Types
          - **physical**: Individual person shareholders
          - **legal**: Corporate entity shareholders
          - **unknown**: When the shareholder type cannot be determined

          ### Relation Types
          - **shareholders**: Indicates the entity's shareholders
          - **shareholder_of**: Indicates entities that this shareholder owns shares in

          ### Source Types
          - **manual**: Manually entered shareholder information
          - **rpc_socio**: Information sourced from RPC (Registro Público de Comercio)
          - **company_verification**: Cap-table shareholders synced from a company verification report
    - name: DS MX Infonavit Overdue Credits
      description: |
          Infonavit overdue credits are employer registrations found in the Infonavit Créditos Firmes list of firm (overdue) housing-credit obligations, matched to an entity by name by the `infonavit` extractor. Records include the employer registration number (NRP), reported state, credit count, and publication dates.
servers:
    - url: https://api.syntage.com
      description: Production
    - url: https://api.sandbox.syntage.com
      description: Sandbox
components:
    securitySchemes:
        ApiKey:
            type: apiKey
            in: header
            name: X-API-Key
            description: |
                Your API key is available in the [Production](https://app.syntage.com/settings/api-keys) and [Sandbox](https://app.sandbox.syntage.com/settings/api-keys) dashboards.
    parameters:
        entityId:
            name: entityId
            in: path
            required: true
            example: 91106968-1abd-4d64-85c1-4e73d96fb997
            schema:
                type: string
                format: uuid
        resourceId:
            name: id
            in: path
            required: true
            example: 91106968-1abd-4d64-85c1-4e73d96fb997
            schema:
                type: string
                format: uuid
        companyVerificationReportId:
            name: reportId
            in: path
            required: true
            description: Identifier of the Company Verification report.
            example: 91ab5678-1234-5678-9abc-def012345678
            schema:
                type: string
                format: uuid
        createdAtBefore:
            name: createdAt[before]
            in: query
            description: Filter by resource creation date (less than or equal `<=`)
            example: "2020-01-17 11:47:27"
            schema:
                type: string
                format: date-time
        createdAtStrictlyBefore:
            name: createdAt[strictly_before]
            in: query
            description: Filter by resource creation date (less than `<`)
            example: "2020-01-17 11:47:27"
            schema:
                type: string
                format: date-time
        createdAtAfter:
            name: createdAt[after]
            in: query
            description: Filter by resource creation date (greater than or equal `>=`)
            example: "2020-01-17 11:47:27"
            schema:
                type: string
                format: date-time
        createdAtStrictlyAfter:
            name: createdAt[strictly_after]
            in: query
            description: Filter by resource creation date (greater than `>`)
            example: "2020-01-17 11:47:27"
            schema:
                type: string
                format: date-time
        orderCreatedAt:
            name: order[createdAt]
            in: query
            description: Order by resource creation date
            schema:
                $ref: "#/components/schemas/CollectionOrder"
        collectionPage:
            name: page
            in: query
            required: false
            description: Collection page number
            schema:
                $ref: "#/components/schemas/CollectionPage"
        collectionCursorNextPageParam:
            name: id[lt]
            in: query
            required: false
            example: 91106968-1abd-4d64-85c1-4e73d96fb997
            description: Collection cursor pointer to the next page
            schema:
                type: string
        collectionCursorPreviousPageParam:
            name: id[gt]
            in: query
            required: false
            example: 91106968-1abd-4d64-85c1-4e73d96fb997
            description: Collection cursor pointer to the previous page
            schema:
                type: string
        collectionLimit:
            name: itemsPerPage
            in: query
            required: false
            description: Number of items per page
            schema:
                $ref: "#/components/schemas/CollectionLimit"
        taxpayerId:
            name: id
            in: path
            required: true
            schema:
                $ref: "#/components/schemas/TaxpayerID"
        orderUpdatedAt:
            name: order[updatedAt]
            in: query
            description: Order by resource update date
            schema:
                $ref: "#/components/schemas/CollectionOrder"
        invoiceId:
            name: id
            in: path
            required: true
            schema:
                $ref: "#/components/schemas/InvoiceID"
        updatedAtBefore:
            name: updatedAt[before]
            in: query
            description: Filter by the date the resource was last updated (less than or equal `<=`)
            example: "2020-01-17 11:47:27"
            schema:
                type: string
                format: date-time
        updatedAtStrictlyBefore:
            name: updatedAt[strictly_before]
            in: query
            description: Filter by the date the resource was last updated (less than `<`)
            example: "2020-01-17 11:47:27"
            schema:
                type: string
                format: date-time
        updatedAtAfter:
            name: updatedAt[after]
            in: query
            description: Filter by the date the resource was last updated (greater than or equal `>=`)
            example: "2020-01-17 11:47:27"
            schema:
                type: string
                format: date-time
        updatedAtStrictlyAfter:
            name: updatedAt[strictly_after]
            in: query
            description: Filter by the date the resource was last updated (greater than `>`)
            example: "2020-01-17 11:47:27"
            schema:
                type: string
                format: date-time
        taxReturnId:
            name: id
            in: path
            required: true
            schema:
                $ref: "#/components/schemas/TaxReturnID"
        validFromBefore:
            name: validFrom[before]
            in: query
            description: Filter certificates by validity start date (less than or equal `<=`)
            example: "2025-01-01T00:00:00+00:00"
            schema:
                type: string
                format: date-time
        validFromStrictlyBefore:
            name: validFrom[strictly_before]
            in: query
            description: Filter certificates by validity start date (less than `<`)
            example: "2025-01-01T00:00:00+00:00"
            schema:
                type: string
                format: date-time
        validFromAfter:
            name: validFrom[after]
            in: query
            description: Filter certificates by validity start date (greater than or equal `>=`)
            example: "2020-01-01T00:00:00+00:00"
            schema:
                type: string
                format: date-time
        validFromStrictlyAfter:
            name: validFrom[strictly_after]
            in: query
            description: Filter certificates by validity start date (greater than `>`)
            example: "2020-01-01T00:00:00+00:00"
            schema:
                type: string
                format: date-time
        validToBefore:
            name: validTo[before]
            in: query
            description: Filter certificates by validity end date (less than or equal `<=`)
            example: "2030-01-01T00:00:00+00:00"
            schema:
                type: string
                format: date-time
        validToStrictlyBefore:
            name: validTo[strictly_before]
            in: query
            description: Filter certificates by validity end date (less than `<`)
            example: "2030-01-01T00:00:00+00:00"
            schema:
                type: string
                format: date-time
        validToAfter:
            name: validTo[after]
            in: query
            description: Filter certificates by validity end date (greater than or equal `>=`)
            example: "2025-01-01T00:00:00+00:00"
            schema:
                type: string
                format: date-time
        validToStrictlyAfter:
            name: validTo[strictly_after]
            in: query
            description: Filter certificates by validity end date (greater than `>`)
            example: "2025-01-01T00:00:00+00:00"
            schema:
                type: string
                format: date-time
        orderValidFrom:
            name: order[validFrom]
            in: query
            description: Order certificates by validity start date
            schema:
                $ref: "#/components/schemas/CollectionOrder"
        orderValidTo:
            name: order[validTo]
            in: query
            description: Order certificates by validity end date
            schema:
                $ref: "#/components/schemas/CollectionOrder"
        serialNumberFilter:
            name: serialNumber
            in: query
            description: Filter certificates by serial number (supports partial matching)
            example: "00001000000516152485"
            schema:
                type: string
        certificateTypeFilter:
            name: type
            in: query
            description: Filter certificates by type
            schema:
                type: string
                enum:
                    - efirma
                    - csd
        shareholderId:
            name: shareholderId
            in: path
            required: true
            description: The shareholder ID
            example: 91ab5678-1234-5678-9abc-def012345678
            schema:
                type: string
                format: uuid
        relationId:
            name: relationId
            in: path
            required: true
            description: The relation ID
            example: 82cd9012-3456-7890-abcd-ef1234567890
            schema:
                type: string
                format: uuid
        sourceId:
            name: sourceId
            in: path
            required: true
            description: The source ID
            example: 73de0123-4567-8901-bcde-f23456789012
            schema:
                type: string
                format: uuid
        shareholderTypeFilter:
            name: type
            in: query
            description: Filter shareholders by type
            schema:
                type: string
                enum:
                    - physical
                    - legal
                    - unknown
        relationTypeFilter:
            name: relationType
            in: query
            description: Filter relations by type
            schema:
                type: string
                enum:
                    - shareholders
                    - shareholder_of
        sourceNameFilter:
            name: sourceName
            in: query
            description: Filter sources by name
            schema:
                type: string
                enum:
                    - manual
                    - rpc_socio
                    - company_verification
        shareholderNameFilter:
            name: name
            in: query
            description: Filter shareholders by name (supports partial matching)
            example: "JUAN PEREZ"
            schema:
                type: string
        shareholderRfcFilter:
            name: rfc
            in: query
            description: Filter shareholders by RFC (supports partial matching)
            example: "PEGJ850101"
            schema:
                type: string
        orderShares:
            name: order[shares]
            in: query
            description: Order by number of shares
            schema:
                $ref: "#/components/schemas/CollectionOrder"
        orderOwnership:
            name: order[ownership]
            in: query
            description: Order by ownership percentage
            schema:
                $ref: "#/components/schemas/CollectionOrder"
        orderName:
            name: order[name]
            in: query
            description: Order by name
            schema:
                $ref: "#/components/schemas/CollectionOrder"
        backgroundCheckId:
            name: backgroundCheckId
            in: path
            required: true
            description: The background check ID
            example: 91ab5678-1234-5678-9abc-def012345678
            schema:
                type: string
                format: uuid
        backgroundCheckCategoryFilter:
            name: category
            in: query
            description: Filter background check records by category
            schema:
                $ref: "#/components/schemas/BackgroundCheckCategory"
        backgroundCheckStatusFilter:
            name: status
            in: query
            description: Filter background checks by status
            schema:
                $ref: "#/components/schemas/BackgroundCheckStatus"
        backgroundCheckCountryFilter:
            name: country
            in: query
            description: Filter background checks by country
            schema:
                $ref: "#/components/schemas/BackgroundCheckCountry"
        orderScore:
            name: order[score]
            in: query
            description: Order by background check score
            schema:
                $ref: "#/components/schemas/CollectionOrder"
    schemas:
        AccountsPayableReceivableRow:
            type: object
            properties:
                amount:
                    description: Total amount in the original currency
                    type: number
                    example: 50000.00
                metric:
                    description: Total amount in `MXN` for the period.
                    type: number
                    example: 50000.00
                date:
                    description: |
                        **Deprecated.** Use `startDate` together with `options[periodicity]` to format the period.
                    deprecated: true
                    type: string
                    example: "202408"
                dateLabel:
                    description: |
                        **Deprecated.** Use `startDate` together with `options[periodicity]` to format the period.
                    deprecated: true
                    type: string
                    example: "202408"
                startDate:
                    description: The start date of the period in `YYYY-MM-DD` format.
                    type: string
                    format: date
                    example: "2024-08-01"
                dimension:
                    description: |
                        The dimension value for the row:
                        - `"Due"` / `"Vencido"` — outstanding amount for the period (`nonCumulative` only).
                        - `"Paid"` / `"Pagado"` — amount paid in the period (`nonCumulative` only).
                        - `"Cumulative Due"` / `"Vencido Acumulado"` — running cumulative outstanding amount (`cumulative` only).

                        The exact string is localized based on the request's `Accept-Language` header.
                    type: string
                    example: Due
                label:
                    description: Human-readable display label. Equal to `dimension`.
                    type: string
                    example: Due
                groupName:
                    description: |
                        **Deprecated.** Use `dimension` instead. Same value as `dimension`.
                    deprecated: true
                    type: string
                    example: Due
        BuroDeCreditoAuthorization:
            oneOf:
                - title: Person
                  type: object
                  required:
                      - id
                      - rfc
                      - authorizedAt
                      - authorizedUntil
                      - validityYears
                      - link
                      - nationality
                      - birthdate
                      - firstName
                      - firstLastName
                      - secondLastName
                      - address
                      - city
                      - municipality
                      - state
                      - postalCode
                      - neighborhood
                      - country
                      - createdAt
                      - updatedAt
                  properties:
                      id:
                          type: string
                          format: uuid
                          description: Unique authorization ID
                          example: "9bd4a640-9f41-4cd5-a158-20767b386ca0"
                      rfc:
                          type: string
                          description: RFC authorized for Buró de Crédito report requests
                          example: "PRPU800101HM2"
                      link:
                          description: Entity associated with the authorization
                          $ref: "#/components/schemas/Entity"
                      authorizedAt:
                          type: string
                          format: date-time
                          description: Date and time when authorization was granted
                          example: "2024-01-31T00:00:00+00:00"
                      authorizedUntil:
                          type: string
                          format: date-time
                          description: Date and time when authorization expires
                          example: "2027-01-31T00:00:00+00:00"
                      validityYears:
                          type: integer
                          enum:
                              - 1
                              - 2
                              - 3
                          description: Term, in years, that this authorization was signed under. `authorizedUntil` is this many years after `authorizedAt`.
                          example: 3
                      nationality:
                          type: string
                          description: Two-letter nationality code
                          example: "MX"
                      birthdate:
                          type: string
                          format: date
                          description: Person birth date
                          example: "1980-01-01"
                      firstName:
                          type: string
                          description: Person first name
                          example: "UNO"
                      middleName:
                          type: [string, "null"]
                          description: Person middle name
                          example: "DOS"
                      firstLastName:
                          type: string
                          description: Person first last name
                          example: "PRUEBA"
                      secondLastName:
                          type: string
                          description: Person second last name
                          example: "PROSPECTOR"
                      address:
                          type: string
                          description: Street name used for the authorization address
                          example: "Jaime Balmes"
                      city:
                          type: string
                          description: City used for the authorization address
                          example: "Cd de Mexico"
                      municipality:
                          type: string
                          description: Municipality or borough used for the authorization address
                          example: "Miguel Hidalgo"
                      state:
                          type: string
                          description: Buró de Crédito state code for the authorization address
                          example: "CMX"
                      postalCode:
                          type: string
                          description: Five-digit postal code used for the authorization address
                          example: "11510"
                      exteriorNumber:
                          type: [string, "null"]
                          description: Exterior number used for the authorization address
                          example: "8"
                      interiorNumber:
                          type: [string, "null"]
                          description: Interior number used for the authorization address
                          example: ""
                      neighborhood:
                          type: string
                          description: Neighborhood used for the authorization address
                          example: "Los morales"
                      country:
                          type: string
                          description: Two-letter country code for the authorization address
                          example: "MX"
                      email:
                          type: [string, "null"]
                          description: Email address associated with the authorization when available
                          example: "person@example.com"
                      origin:
                          type: string
                          enum:
                              - external
                              - onboarding
                          description: How the authorization was created
                          example: external
                      isValid:
                          type: boolean
                          description: Whether the authorization has not expired
                          example: true
                      createdAt:
                          type: string
                          format: date-time
                          description: Date and time when the authorization was created
                          example: "2024-01-31T00:00:00+00:00"
                      updatedAt:
                          type: string
                          format: date-time
                          description: Date and time when the authorization was last updated
                          example: "2024-01-31T00:00:00+00:00"
                      deletedAt:
                          type: [string, "null"]
                          format: date-time
                          description: Date and time when the authorization was deleted
                          example: "2024-01-31T00:00:00+00:00"
                - title: Company
                  type: object
                  required:
                      - id
                      - rfc
                      - authorizedAt
                      - authorizedUntil
                      - validityYears
                      - link
                      - nationality
                      - tradeName
                      - address
                      - city
                      - municipality
                      - state
                      - postalCode
                      - neighborhood
                      - country
                      - createdAt
                      - updatedAt
                  properties:
                      id:
                          type: string
                          format: uuid
                          description: Unique authorization ID
                          example: "9bd4a640-9f41-4cd5-a158-20767b386ca0"
                      rfc:
                          type: string
                          description: RFC authorized for Buró de Crédito report requests
                          example: "PRPU800101HM2"
                      link:
                          description: Entity associated with the authorization
                          $ref: "#/components/schemas/Entity"
                      authorizedAt:
                          type: string
                          format: date-time
                          description: Date and time when authorization was granted
                          example: "2024-01-31T00:00:00+00:00"
                      authorizedUntil:
                          type: string
                          format: date-time
                          description: Date and time when authorization expires
                          example: "2027-01-31T00:00:00+00:00"
                      validityYears:
                          type: integer
                          enum:
                              - 1
                              - 2
                              - 3
                          description: Term, in years, that this authorization was signed under. `authorizedUntil` is this many years after `authorizedAt`.
                          example: 3
                      nationality:
                          type: string
                          description: Two-letter nationality code
                          example: "MX"
                      tradeName:
                          type: string
                          description: Company trade or legal name used for the authorization
                          example: "PROSPECTOR"
                      address:
                          type: string
                          description: Street name used for the authorization address
                          example: "Jaime Balmes"
                      city:
                          type: string
                          description: City used for the authorization address
                          example: "Cd de Mexico"
                      municipality:
                          type: string
                          description: Municipality or borough used for the authorization address
                          example: "Miguel Hidalgo"
                      state:
                          type: string
                          description: Buró de Crédito state code for the authorization address
                          example: "CMX"
                      postalCode:
                          type: string
                          description: Five-digit postal code used for the authorization address
                          example: "11510"
                      exteriorNumber:
                          type: [string, "null"]
                          description: Exterior number used for the authorization address
                          example: "8"
                      interiorNumber:
                          type: [string, "null"]
                          description: Interior number used for the authorization address
                          example: ""
                      neighborhood:
                          type: string
                          description: Neighborhood used for the authorization address
                          example: "Los morales"
                      country:
                          type: string
                          description: Two-letter country code for the authorization address
                          example: "MX"
                      email:
                          type: [string, "null"]
                          description: Email address associated with the authorization when available
                          example: "company@example.com"
                      origin:
                          type: string
                          enum:
                              - external
                              - onboarding
                          description: How the authorization was created
                          example: external
                      isValid:
                          type: boolean
                          description: Whether the authorization has not expired
                          example: true
                      createdAt:
                          type: string
                          format: date-time
                          description: Date and time when the authorization was created
                          example: "2024-01-31T00:00:00+00:00"
                      updatedAt:
                          type: string
                          format: date-time
                          description: Date and time when the authorization was last updated
                          example: "2024-01-31T00:00:00+00:00"
                      deletedAt:
                          type: [string, "null"]
                          format: date-time
                          description: Date and time when the authorization was deleted
                          example: "2024-01-31T00:00:00+00:00"
        BuroDeCreditoReport:
            oneOf:
                - title: "007"
                  type: object
                  required:
                      - id
                      - link
                      - provider
                      - productType
                      - reportId
                      - data
                      - score
                      - files
                  properties:
                      id:
                          type: string
                          format: uuid
                          description: Unique Buró de Crédito report ID
                          example: "9bd4a640-9f41-4cd5-a158-20767b386ca0"
                      link:
                          type: string
                          format: iri-reference
                          description: Entity associated with the report
                          example: "/entities/0191ebdd-a743-7d0a-840f-5b1b7ff8adcf"
                      provider:
                          type: string
                          enum:
                              - buro_de_credito
                              - moffin
                          description: Provider that generated the report
                          example: buro_de_credito
                      productType:
                          type: string
                          enum:
                              - "007"
                              - "004"
                          description: Buró de Crédito product requested for the report
                          example: "007"
                      reportId:
                          type: string
                          description: Provider report ID
                          example: "012342"
                      data:
                          type: object
                          description: Parsed Buró de Crédito provider response for the selected product type
                          example:
                              respuesta:
                                  persona:
                                      nombre:
                                          RFC: XDFR991206
                                          sexo: M
                                          estadoCivil: M
                                          nacionalidad: MX
                                          primerNombre: CARLOS
                                          apellidoMaterno: GARCIA
                                          apellidoPaterno: LOPEZ
                                          fechaNacimiento: "15071985"
                                          claveImpuestosOtroPais: XDFR991206JHGRYD00
                                          numeroRegistroElectoral: "0187654321098"
                                      cuentas:
                                          - montoPagar: "890"
                                            tipoCuenta: R
                                            saldoActual: 1260+
                                            fechaReporte: "02082024"
                                            modoReportar: A
                                            saldoVencido: "0"
                                            tipoContrato: CC
                                            creditoMaximo: "17689"
                                            limiteCredito: "21000"
                                            historicoPagos: "11111100"
                                            fechaUltimoPago: "02082024"
                                            formaPagoActual: "01"
                                            frecuenciaPagos: Z
                                            montoUltimoPago: "3972"
                                            nombreOtorgante: BANCO
                                            fechaUltimaCompra: "27072024"
                                            fechaActualizacion: "08082024"
                                            fechaAperturaCuenta: "21122023"
                                            claveUnidadMonetaria: MX
                                            numeroTelefonoOtorgante: "0"
                                            indicadorTipoResponsabilidad: I
                                            fechaMasAntiguaHistoricoPagos: "31122023"
                                            fechaMasRecienteHistoricoPagos: "31072024"
                                            identificadorSociedadInformacionCrediticia: "0"
                                          - montoPagar: "0"
                                            tipoCuenta: I
                                            numeroPagos: "16"
                                            saldoActual: 0+
                                            fechaReporte: "14012021"
                                            modoReportar: A
                                            saldoVencido: "0"
                                            tipoContrato: PL
                                            creditoMaximo: "5174"
                                            historicoPagos: "1111"
                                            fechaUltimoPago: "12012021"
                                            formaPagoActual: "01"
                                            frecuenciaPagos: V
                                            montoUltimoPago: "393"
                                            nombreOtorgante: BANCO
                                            claveObservacion: CC
                                            fechaCierreCuenta: "13012021"
                                            fechaUltimaCompra: "23092020"
                                            fechaActualizacion: "15012021"
                                            fechaAperturaCuenta: "23092020"
                                            claveUnidadMonetaria: MX
                                            numeroTelefonoOtorgante: "0"
                                            indicadorTipoResponsabilidad: I
                                            fechaMasAntiguaHistoricoPagos: "30092020"
                                            fechaMasRecienteHistoricoPagos: "07122020"
                                            identificadorSociedadInformacionCrediticia: "0"
                                          - montoPagar: "0"
                                            tipoCuenta: I
                                            numeroPagos: "16"
                                            saldoActual: 0+
                                            fechaReporte: "31082020"
                                            modoReportar: A
                                            saldoVencido: "0"
                                            tipoContrato: PL
                                            creditoMaximo: "5174"
                                            historicoPagos: "311111111"
                                            fechaUltimoPago: "27082020"
                                            formaPagoActual: "01"
                                            frecuenciaPagos: V
                                            montoUltimoPago: "1620"
                                            nombreOtorgante: BANCO
                                            claveObservacion: CC
                                            fechaCierreCuenta: "30082020"
                                            fechaUltimaCompra: "22012020"
                                            fechaActualizacion: "02092020"
                                            fechaAperturaCuenta: "22012020"
                                            numeroPagosVencidos: "1"
                                            claveUnidadMonetaria: MX
                                            numeroTelefonoOtorgante: "0"
                                            indicadorTipoResponsabilidad: I
                                            fechaMasAntiguaHistoricoPagos: "30112019"
                                            mopHistoricoMorosidadMasGrave: "03"
                                            fechaMasRecienteHistoricoPagos: "31072020"
                                            fechaHistoricaMorosidadMasGrave: "31072020"
                                            importeSaldoMorosidadHistMasGrave: "345"
                                            identificadorSociedadInformacionCrediticia: "0"
                                      empleos:
                                          - cP: "77560"
                                            estado: QR
                                            codPais: MX
                                            direccion1: CALLE JUAREZ 123
                                            nombreEmpresa: TRABAJADOR INDEPENDIENTE
                                            coloniaPoblacion: CENTRO
                                            delegacionMunicipio: BENITO JUAREZ
                                          - cargo: NEGOCIO PROPIO  DUENO
                                            codPais: MX
                                            direccion1: ""
                                            nombreEmpresa: MATERIALES LA ROCA
                                      domicilios:
                                          - cP: "77560"
                                            estado: QR
                                            codPais: MX
                                            direccion1: CALLE HIDALGO 456
                                            tipoDomicilio: H
                                            numeroTelefono: "9981234567"
                                            coloniaPoblacion: CENTRO
                                            delegacionMunicipio: BENITO JUAREZ
                                            fechaReporteDireccion: "16012020"
                                          - cP: "77560"
                                            estado: QR
                                            codPais: MX
                                            direccion1: CALLE MORELOS 789
                                            tipoDomicilio: H
                                            numeroTelefono: "9987654321"
                                            coloniaPoblacion: CENTRO
                                            delegacionMunicipio: BENITO JUAREZ
                                            fechaReporteDireccion: "11122019"
                                            indicadorEspecialDomicilio: K
                                      encabezado:
                                          clavePais: MX
                                          claveOtorgante: FFA4771003
                                          identificadorBuro: "1020"
                                          numeroControlConsulta: "3406534887"
                                          numeroReferenciaOperador: cc0be12a952043ba9ce2bf840
                                          claveRetornoConsumidorPrincipal: "1"
                                          claveRetornoConsumidorSecundario: "0"
                                      hawkAlertBD:
                                          - mensaje: TELEFONO 9981234567 NO CORRESPONDE A ZONA POSTAL
                                            codigoClave: "850"
                                            fechaReporte: "13082024"
                                            tipoInstitucion: BURO DE CREDITO
                                          - mensaje: TELEFONO 9981234567 CORRESPONDE A NUMERO MOVIL
                                            codigoClave: "870"
                                            fechaReporte: "13082024"
                                            tipoInstitucion: BURO DE CREDITO
                                          - mensaje: TELEFONO 9987654321 NO CORRESPONDE A ZONA POSTAL
                                            codigoClave: "850"
                                            fechaReporte: "13082024"
                                            tipoInstitucion: BURO DE CREDITO
                                          - mensaje: COLONIA NO COINCIDE CON CODIGO POSTAL 77560
                                            codigoClave: "890"
                                            fechaReporte: "13082024"
                                            tipoInstitucion: BURO DE CREDITO
                                          - mensaje: TELEFONO 9987654321 CORRESPONDE A NUMERO MOVIL
                                            codigoClave: "870"
                                            fechaReporte: "13082024"
                                            tipoInstitucion: BURO DE CREDITO
                                          - mensaje: 12-ORC-ACD(24-02)-000310/2021-DGO-PAPASQUIARO S
                                            codigoClave: "990"
                                            fechaReporte: "13072021"
                                            tipoInstitucion: INF DE JUICIOS
                                          - mensaje: 12-NOP-ACD(23-11)-000047/2021-DGO-PAPASQUIARO S
                                            codigoClave: "990"
                                            fechaReporte: "25022021"
                                            tipoInstitucion: INF DE JUICIOS
                                      resumenReporte:
                                          - numeroMOP0: "00"
                                            numeroMOP1: "03"
                                            numeroMOP2: "00"
                                            numeroMOP3: "00"
                                            numeroMOP4: "00"
                                            numeroMOP5: "00"
                                            numeroMOP6: "00"
                                            numeroMOP7: "00"
                                            tipoMoneda: MX
                                            numeroMOP96: "00"
                                            numeroMOP97: "00"
                                            numeroMOP99: "00"
                                            numeroMOPUR: "00"
                                            numeroCuentas: "0003"
                                            cuentasDisputa: "00"
                                            fechaIngresoBD: "11122019"
                                            mensajesAlerta: NNNNN
                                            cuentasCerradas: "0002"
                                            totalPagosPagosFijos: "000000000"
                                            totalPagosRevolventes: "000000890"
                                            totalSolicitudesReporte: "08"
                                            cuentasNegativasActuales: "0000"
                                            cuentasPagosFijosHipotecas: "0002"
                                            cuentasRevolventesAbiertas: "0001"
                                            cuentasClavesHistoriaNegativa: "0001"
                                            fechaAperturaCuentaMasAntigua: "22012020"
                                            totalSaldosActualesPagosFijos: 000000000+
                                            totalSaldosVencidosPagosFijos: "000000000"
                                            fechaAperturaCuentaMasReciente: "21122023"
                                            numeroSolicitudesUltimos6Meses: "03"
                                            totalCreditosMaximosPagosFijos: "000000000"
                                            totalLimitesCreditoRevolventes: "000021000"
                                            totalSaldosActualesRevolventes: 000001260+
                                            totalSaldosVencidosRevolventes: "000000000"
                                            totalCreditosMaximosRevolventes: "000017689"
                                            fechaSolicitudReporteMasReciente: "31072024"
                                            existenciaDeclaracionesConsumidor: N
                                            numeroTotalCuentasDespachoCobranza: "00"
                                            nuevaDireccionReportadaUltimos60Dias: N
                                            pctLimiteCreditoUtilizadoRevolventes: "006"
                                            numeroTotalSolicitudesDespachosCobranza: "00"
                                            fechaSolicitudMasRecienteDespachoCobranza: "00000000"
                                            fechaAperturaCuentaMasRecienteDespachoCobranza: "00000000"
                                      scoreBuroCredito:
                                          - valorScore: "0676"
                                            codigoRazon:
                                                - "04"
                                            codigoScore: "007"
                                            nombreScore: BC SCORE
                                      hawkAlertConsulta:
                                          - mensaje: 12-NOP-ACD(23-11)-000047/2021-DGO-PAPASQUIARO S
                                            codigoClave: "990"
                                            fechaReporte: "25022021"
                                            tipoInstitucion: INF DE JUICIOS
                                          - mensaje: 12-ORC-ACD(24-02)-000310/2021-DGO-PAPASQUIARO S
                                            codigoClave: "990"
                                            fechaReporte: "13072021"
                                            tipoInstitucion: INF DE JUICIOS
                                      consultaEfectuadas:
                                          - tipoContrato: CS
                                            fechaConsulta: "13082024"
                                            claveOtorgante: FFA4771003
                                            resultadoFinal: "0"
                                            importeContrato: "0"
                                            nombreOtorgante: VANDELIER
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                                          - tipoContrato: LS
                                            fechaConsulta: "31072024"
                                            resultadoFinal: "0"
                                            importeContrato: "0"
                                            nombreOtorgante: ARRENDAMIENTO
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                                          - tipoContrato: CC
                                            fechaConsulta: "22072024"
                                            resultadoFinal: "0"
                                            importeContrato: "100"
                                            nombreOtorgante: BANCO
                                            claveUnidadMonetaria: MX
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                                          - tipoContrato: UK
                                            fechaConsulta: "08032024"
                                            resultadoFinal: "0"
                                            importeContrato: "1000"
                                            nombreOtorgante: SIC
                                            claveUnidadMonetaria: MX
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                                          - tipoContrato: CC
                                            fechaConsulta: "21122023"
                                            resultadoFinal: "0"
                                            importeContrato: "0"
                                            nombreOtorgante: BANCO
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                                          - tipoContrato: CC
                                            fechaConsulta: "18112023"
                                            resultadoFinal: "0"
                                            importeContrato: "0"
                                            nombreOtorgante: BANCO
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                                          - tipoContrato: CC
                                            fechaConsulta: "20042023"
                                            resultadoFinal: "0"
                                            importeContrato: "0"
                                            nombreOtorgante: BANCO
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                                          - tipoContrato: CC
                                            fechaConsulta: "19122022"
                                            resultadoFinal: "0"
                                            importeContrato: "0"
                                            nombreOtorgante: BANCO
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                                          - tipoContrato: CC
                                            fechaConsulta: "19102022"
                                            resultadoFinal: "0"
                                            importeContrato: "0"
                                            nombreOtorgante: BANCO
                                            identificadorOrigenConsulta: "0"
                                            indicadorTipoResponsabilidad: I
                      score:
                          type: [string, "null"]
                          description: Score returned by the selected Buró de Crédito product when available
                          example: "0676"
                      files:
                          type: array
                          description: Files generated for the report, including the report PDF
                          items:
                              allOf:
                                  - $ref: "#/components/schemas/File"
                                  - example:
                                        type: buro_de_credito.report.pdf
                                        resource: /datasources/mx/buro-de-credito/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41
                                        mimeType: application/pdf
                                        extension: pdf
                                        filename: 9cc7fc78-5e84-4862-af83-c6c7022fcb41.pdf
                      createdAt:
                          type: string
                          format: date-time
                          description: Date and time when the report was created
                          example: "2024-01-31T00:00:00+00:00"
                      updatedAt:
                          type: string
                          format: date-time
                          description: Date and time when the report was last updated
                          example: "2024-01-31T00:00:00+00:00"
                - title: INFORME_BURO
                  type: object
                  required:
                      - id
                      - link
                      - provider
                      - productType
                      - reportId
                      - data
                      - score
                      - files
                  properties:
                      id:
                          type: string
                          format: uuid
                          description: Unique Buró de Crédito report ID
                          example: "9bd4a640-9f41-4cd5-a158-20767b386ca0"
                      link:
                          type: string
                          format: iri-reference
                          description: Entity associated with the report
                          example: "/entities/0191ebdd-a743-7d0a-840f-5b1b7ff8adcf"
                      provider:
                          type: string
                          enum:
                              - buro_de_credito
                              - moffin
                          description: Provider that generated the report
                          example: buro_de_credito
                      productType:
                          type: string
                          enum:
                              - INFORME_BURO
                              - RCO
                          description: Buró de Crédito product requested for the report
                          example: INFORME_BURO
                      reportId:
                          type: string
                          description: Provider report ID
                          example: "012342"
                      data:
                          type: object
                          description: Parsed Buró de Crédito provider response for the selected product type
                          example:
                              score:
                                  - errorScore: "0"
                                    valorScore: "307"
                                    codigoScore: "012"
                                    codigoRazon1: Z3
                                    codigoRazon2: W3
                              hawkHr:
                                  - codigoHawk: "000"
                                    fechaMensajeHawk: "02052024"
                                    descripcionPrevencionHawk: NO SE ENCONTRO INFORMACION
                              historia:
                                  - rfc: SSD1912102V8
                                    periodo: "202306"
                                    saldoVigente: "0"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "4"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202307"
                                    saldoVigente: "0"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "4"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202308"
                                    saldoVigente: "17"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "0"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202309"
                                    saldoVigente: "23"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "0"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202310"
                                    saldoVigente: "19"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "0"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202311"
                                    saldoVigente: "32"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "0"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202312"
                                    saldoVigente: "38"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "0"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202401"
                                    saldoVigente: "35"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "0"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202402"
                                    saldoVigente: "12"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "0"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202403"
                                    saldoVigente: "33"
                                    maximoSaldoVencido: "4"
                                    saldoVencidoA90Dias: "0"
                                    saldoVencido1A29Dias: "0"
                                    saldoVencido30A59Dias: "0"
                                    saldoVencido60A89Dias: "0"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202404"
                                    maximoSaldoVencido: "4"
                                    mayorNumeroDiasVencido: "16"
                                  - rfc: SSD1912102V8
                                    periodo: "202405"
                                    maximoSaldoVencido: "4"
                                    mayorNumeroDiasVencido: "16"
                              encabezado:
                                  claveRetorno: "1"
                                  fechaConsulta: "02052024"
                                  identificadorConsulta: "1111"
                                  identificadorTransaccion: "0371405559"
                              datosGenerales:
                                  pais: MX
                                  ciudad: CIUDAD DE MEXICO
                                  estado: CDMX
                                  nombre: SynMed Equipos Médico SAPI DE CV
                                  direccion1: Acapulco 22
                                  rfcCliente: SSD1912102V8
                                  tipoCliente: "1"
                                  codigoPostal: "06700"
                                  nacionalidad: MX
                                  coloniaPoblacion: ROMA NORTE
                                  delegacionMunicipio: CUAUHTEMOC
                                  indicadorInformacionAdicional: PROD
                                  consultaEmpresaComercialMas24Meses: "0"
                                  consultaEntidadFinancieraMas24Meses: "0"
                                  consultaEmpresaComercialUltimos3Meses: "0"
                                  consultaEmpresaComercialUltimos12Meses: "0"
                                  consultaEmpresaComercialUltimos24Meses: "0"
                                  consultaEntidadFinancieraUltimos3Meses: "2"
                                  consultaEntidadFinancieraUltimos12Meses: "5"
                                  consultaEntidadFinancieraUltimos24Meses: "7"
                              creditoComercial:
                                  total: "618"
                                  vencido: "0"
                                  vigente: "618"
                                  otorgante: "1"
                                  rfcCliente: SSD1912102V8
                                  historicoPagos: "1"
                                  fechaUltimoReporte: "122023"
                                  saldoVencidoDe1a29Dias: "0"
                                  saldoVencidoDe30a59Dias: "0"
                                  saldoVencidoDe60a89Dias: "0"
                                  saldoVencidoDe90a119Dias: "0"
                                  saldoVencidoDe120a179Dias: "0"
                                  saldoVencidoDe180DiasOMas: "0"
                              creditoFinanciero:
                                  - plazo: "0"
                                    moneda: "001"
                                    apertura: "10032022"
                                    rfcCliente: SSD1912102V8
                                    tipoCambio: "1.00"
                                    atrasoMayor: "0"
                                    tipoCredito: "6280"
                                    tipoUsuario: OTRAS FINANCIERAS
                                    numeroCuenta: "597876930"
                                    saldoInicial: "6241"
                                    saldoVigente: "21293"
                                    historicoPagos: "111111111111111111111111"
                                    saldoVencidoDe1a29Dias: "0"
                                    saldoVencidoDe30a59Dias: "0"
                                    saldoVencidoDe60a89Dias: "0"
                                    saldoVencidoDe90a119Dias: "0"
                                    ultimoPeriodoActualizado: "202403"
                                    saldoVencidoDe120a179Dias: "0"
                                    saldoVencidoDe180DiasOMas: "0"
                                  - plazo: "30"
                                    moneda: "001"
                                    apertura: "30042023"
                                    rfcCliente: SSD1912102V8
                                    tipoCambio: "1.00"
                                    atrasoMayor: "0"
                                    tipoCredito: "1380"
                                    tipoUsuario: JEEVES MEXICO
                                    numeroCuenta: "100335"
                                    saldoInicial: "64288"
                                    saldoVigente: "3507"
                                    historicoPagos: "111111122"
                                    saldoVencidoDe1a29Dias: "0"
                                    saldoVencidoDe30a59Dias: "0"
                                    saldoVencidoDe60a89Dias: "0"
                                    saldoVencidoDe90a119Dias: "0"
                                    ultimoPeriodoActualizado: "202403"
                                    saldoVencidoDe120a179Dias: "0"
                                    saldoVencidoDe180DiasOMas: "0"
                                  - plazo: "30"
                                    moneda: "001"
                                    apertura: "31122023"
                                    rfcCliente: SSD1912102V8
                                    tipoCambio: "1.00"
                                    atrasoMayor: "0"
                                    tipoCredito: "1380"
                                    tipoUsuario: JEEVES MEXICO
[...]
